Initiate Call Test
curl --request POST \
--url https://api.peachdeskai.com/api/v1/public/agent/test/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"to_number": "<string>",
"initial_context": {},
"telephony_configuration_id": 123,
"dynamic_variables": {},
"from_number": "<string>",
"metadata": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}"
payload = {
"to_number": "<string>",
"initial_context": {},
"telephony_configuration_id": 123,
"dynamic_variables": {},
"from_number": "<string>",
"metadata": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to_number: '<string>',
initial_context: {},
telephony_configuration_id: 123,
dynamic_variables: {},
from_number: '<string>',
metadata: {}
})
};
fetch('https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'to_number' => '<string>',
'initial_context' => [
],
'telephony_configuration_id' => 123,
'dynamic_variables' => [
],
'from_number' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}"
payload := strings.NewReader("{\n \"to_number\": \"<string>\",\n \"initial_context\": {},\n \"telephony_configuration_id\": 123,\n \"dynamic_variables\": {},\n \"from_number\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"to_number\": \"<string>\",\n \"initial_context\": {},\n \"telephony_configuration_id\": 123,\n \"dynamic_variables\": {},\n \"from_number\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"to_number\": \"<string>\",\n \"initial_context\": {},\n \"telephony_configuration_id\": 123,\n \"dynamic_variables\": {},\n \"from_number\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"workflow_run_id": 123,
"workflow_run_name": "<string>",
"call_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Initiate Call Test
Initiate a phone call against the latest draft of the agent.
Useful for verifying changes before publishing. Falls back to the published definition when no draft exists.
POST
/
api
/
v1
/
public
/
agent
/
test
/
{uuid}
Initiate Call Test
curl --request POST \
--url https://api.peachdeskai.com/api/v1/public/agent/test/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"to_number": "<string>",
"initial_context": {},
"telephony_configuration_id": 123,
"dynamic_variables": {},
"from_number": "<string>",
"metadata": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}"
payload = {
"to_number": "<string>",
"initial_context": {},
"telephony_configuration_id": 123,
"dynamic_variables": {},
"from_number": "<string>",
"metadata": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to_number: '<string>',
initial_context: {},
telephony_configuration_id: 123,
dynamic_variables: {},
from_number: '<string>',
metadata: {}
})
};
fetch('https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'to_number' => '<string>',
'initial_context' => [
],
'telephony_configuration_id' => 123,
'dynamic_variables' => [
],
'from_number' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}"
payload := strings.NewReader("{\n \"to_number\": \"<string>\",\n \"initial_context\": {},\n \"telephony_configuration_id\": 123,\n \"dynamic_variables\": {},\n \"from_number\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"to_number\": \"<string>\",\n \"initial_context\": {},\n \"telephony_configuration_id\": 123,\n \"dynamic_variables\": {},\n \"from_number\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/public/agent/test/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"to_number\": \"<string>\",\n \"initial_context\": {},\n \"telephony_configuration_id\": 123,\n \"dynamic_variables\": {},\n \"from_number\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"workflow_run_id": 123,
"workflow_run_name": "<string>",
"call_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Organization API key (bibha_...). Takes precedence over the session credential, and is refused outright on user-session-only and super-admin routes.
Path Parameters
Body
application/json

